use <../libs/rounded_shapes.scad>

mount_screw_dia = 11/64.0 * 25.4;
mount_screw_hole_radius = mount_screw_dia * 1.05 / 2.0;

bnc_mount_dia = 25.4 * 24.0/64.0;

rounding_radius = 1.25;

wall_thickness = 3.1;

$fn =44;

offset_from_wall = 17.5;

height = bnc_mount_dia * 2.1;

width = wall_thickness * 2 + bnc_mount_dia * 2.15;

screw_tab_width = mount_screw_dia * 2.88;
module screw_tab(){
  difference(){
    cube([screw_tab_width, wall_thickness* (2/3), height]);
    translate([screw_tab_width/2 - wall_thickness*(7/16),-1,height/4]){
      rotate([-90,0,0]){
        cylinder(r = mount_screw_hole_radius, h = 100);
      }
      translate([0,0,height/2]){
        rotate([-90,0,0]){
          cylinder(r = mount_screw_hole_radius, h = 100);
        }
      }
    }
  }
}


union(){
  
  difference(){   
    rounded_rectangle(width, wall_thickness, height, rounding_radius);
    
    translate([width/2, -1,height/2]){
      rotate([-90,0,0]){
        cylinder(r = bnc_mount_dia/2.0 * 1.0425, h = 100);
      }
    }
  }
  rounded_rectangle(width, offset_from_wall- rounding_radius/2.0, wall_thickness * (7/16.0), rounding_radius);
  
  translate([wall_thickness,0,0]){
  rotate([0,0,90]){
    rounded_rectangle(offset_from_wall, wall_thickness, height,rounding_radius);
  }
  }
  
  translate([width,0,0]){
  rotate([0,0,90]){
   rounded_rectangle(offset_from_wall, wall_thickness, height,rounding_radius);
  }
  }
  
  translate([-1 * screw_tab_width + wall_thickness/2, offset_from_wall - wall_thickness * (2/3),0]){
    screw_tab();
  }
  
  translate([width - wall_thickness/2 + screw_tab_width, offset_from_wall ,0]){
    rotate([0,0,180]){
      screw_tab();
    }
  }
}
